# Run tests in check section
%bcond_without check

# https://github.com/ryszard/goskiplist
%global goipath         github.com/ryszard/goskiplist
%global commit          2dfbae5fcf46374f166f8969cb07e167f1be6273

%global common_description %{expand:
This is a library implementing skip lists for the Go programming language.

Skip lists are a data structure that can be used in place of balanced trees.
Skip lists use probabilistic balancing rather than strictly enforced balancing
and as a result the algorithms for insertion and deletion in skip lists are
much simpler and significantly faster than equivalent algorithms for balanced
trees.

Skip lists were first described in Pugh, William (June 1990). "Skip lists: a 
probabilistic alternative to balanced trees".
Communications of the ACM 33 (6): 668–676.}

%gometa

Name:           %{goname}
Version:        0
Release:        0.1%{?dist}
Summary:        A skip list implementation in Go
# Detected licences
# - *No copyright* Apache License (v2.0) at 'LICENSE'
License:        ASL 2.0
URL:            %{gourl}
Source0:        %{gosource}

%description
%{common_description}


%package devel
Summary:       %{summary}
BuildArch:     noarch

%description devel
%{common_description}

This package contains library source intended for
building other packages which use import path with
%{goipath} prefix.


%prep
%forgeautosetup


%install
%goinstall


%if %{with check}
%check
%gochecks
%endif


%files devel -f devel.file-list
%license LICENSE
%doc CONTRIBUTORS AUTHORS


%changelog
* Sun Mar 03 2019 Robert-André Mauchin <zebob.m@gmail.com> - 0-0.1.20190306git2dfbae5
- First package for Fedora

